LEI-UP(1)

NAME
lei-up - update a saved search

SYNOPSIS
lei up [OPTIONS] OUTPUT

lei up [OPTIONS] --all[=<local|remote>]

DESCRIPTION
Update the saved search at "OUTPUT" or all saved searches.

OPTIONS

--all[=<local|remote>]
    "--all" updates all saved searches (listed in lei-ls-search(1)). "--all=local" only updates local mailboxes, "--all=remote" only updates remote mailboxes (currently "imap://" and "imaps://").

--remote-fudge-time=INTERVAL
    Look for mail older than the time of the last successful query. Using a small interval will reduce bandwidth use. A larger interval reduces the likelihood of missing a result due to MTA delays or downtime.

    The time(s) of the last successful queries are the "lastresult" values visible from lei-edit-search(1).

    Date formats understood by git-rev-parse(1) may be used, e.g., "1.hour" or "3.days".

    Default: 2.days

--no-external
--no-local
--no-remote
    These disable the use of all externals, local externals, or remote externals respectively. They are useful during temporary network or mount-point outages.

    Unlike "lei q", these switches override the original "lei q --only" options saved as "lei.q.only".

    The combination "--all=remote --no-remote" is supported for offline use in case a user is updating an IMAP folder on localhost.

--exclude=LOCATION
    As with lei-q(1), but may also exclude externals originally specified via "lei q --only".

--lock=METHOD
--alert=CMD
--mua=CMD
--jobs QUERY_WORKERS[,WRITE_WORKERS]
    "--lock", "--alert", "--mua", and "--jobs" are all supported and documented in lei-q(1).

    "--mua" is incompatible with "--all".

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-q(1), lei-ls-search(1), lei-edit-search(1), lei-forget-search(1)